    create table PROJECT_POOL (
        [UUID] uniqueidentifier default newid() not null,
        [CONFIG_ID] uniqueidentifier,
        [CREATED_ON] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [MODIFIED_ON] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [RWDU] numeric(5,0) default 0,
        [CREATED_BY] varchar(20),
        [MODIFIED_BY] varchar(20),
        [OWN_LIC] varchar(4),
        [OPC] varchar(8),
        [OWNER] numeric(5,0) default 0,
        [GROUP] numeric(5,0) default 0,
        [ANY] numeric(5,0) default 0,
        [STATUS] numeric(5,0) default 0,
        [TRANSFERRED_ON] varchar(80),
        [PR_ID] varchar(18),
        [PARENT_PR_ID] varchar(18),
        [PARENT_TASK_ID] varchar(18),
        [PR_CODE] varchar(2),
        [PR_PRIO] numeric(10,0) default 0,
        [PR_CALENDAR] varchar(20),
        [PR_SPLIT] numeric(5,0) default 0,
        [STRUCT_SCHED] numeric(5,0) default 0,
        [REQUESTED_START] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [REQUESTED_END] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [PR_ESD] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [PR_EED] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [PR_LSD] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [PR_LED] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [CALC_START] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [CALC_END] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [ACTUAL_START] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [ACTUAL_END] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [SD_P1] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [ED_P1] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [DEV_SD_P1] numeric(10,0) default 0,
        [DEV_ED_P1] numeric(10,0) default 0,
        [PR_P_DURATION_TS] numeric(10,0) default 0,
        [PR_A_DURATION_TS] numeric(10,0) default 0,
        [PR_R_DURATION_TS] numeric(10,0) default 0,
        [PLANNED_DURATION] numeric(10,0) default 0,
        [ACT_DURATION] numeric(10,0) default 0,
        [REM_DURATION] numeric(10,0) default 0,
        [EFFORT_PLAN] float default 0,
        [EFFORT_ACT] float default 0,
        [EFFORT_REM] float default 0,
        [PR_RBD] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [USED_EFFORT] numeric(5,0) default 0,
        [COMPL_DATE] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [PROJECT_STATE] numeric(5,0) default 0,
        [REQUEST_STATE] numeric(5,0) default 0,
        [NP_CYCLE] numeric(5,0) default 0,
        [LOADED] numeric(5,0) default 0,
        [LAST_SCHED_DATE] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [PR_PLAN_EARLY] numeric(5,0) default 0,
        [NO_OF_TASKS_REAL] numeric(10,0) default 0,
        [NO_OF_LINKS] numeric(10,0) default 0,
        [LAST_CS_DATE] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [TIME_OF_LAST_CS] numeric(10,0) default 0,
        [TIME_OF_LAST_BUDGET_CALC] numeric(10,0) default 0,
        [LAST_BUDGET_CALC] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [SD_POSIT] numeric(5,0) default 0,
        [PRODUCT] varchar(8),
        [SD_P2] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [ED_P2] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [SD_P3] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [ED_P3] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [SD_P4] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [ED_P4] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [SD_LAST_PLAN] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [ED_LAST_PLAN] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [DEV_SD_P2] numeric(10,0) default 0,
        [DEV_ED_P2] numeric(10,0) default 0,
        [DEV_SD_P3] numeric(10,0) default 0,
        [DEV_ED_P3] numeric(10,0) default 0,
        [DEV_SD_P4] numeric(10,0) default 0,
        [DEV_ED_P4] numeric(10,0) default 0,
        [DEV_LAST_PLAN_SD] numeric(10,0) default 0,
        [DEV_LAST_PLAN_ED] numeric(10,0) default 0,
        [MAIN_PR_ID] varchar(18),
        [LEVEL] numeric(5,0) default 0,
        [SAP_SERVICE_TYPE] varchar(10),
        [PR_CLASS] varchar(20),
        [COUNTRY] varchar(6),
        [LOCATION] varchar(18),
        [OU_CCTR_P_COSTS] float default 0,
        [OU_CCTR_A_COSTS] float default 0,
        [OU_CCTR_R_COSTS] float default 0,
        [OU_CCTR_T_COSTS] float default 0,
        [TIME_OF_LAST_TS] numeric(10,0) default 0,
        [CUSTOMER] varchar(30),
        [PR_MANAGER] varchar(20),
        [PR_MNGR_CUSTOMER] varchar(30),
        [PR_RSUB] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [PR_RELEASE] varchar(8),
        [PLANNED_BUDGET] float default 0,
        [PLANNED_OWN_BUDGET] float default 0,
        [SUMM_PLANNED_BUDGET] float default 0,
        [DIST_PLAN_BUDGET_OU] float default 0,
        [SEP_DIST_PLAN_BGT] float default 0,
        [APPR_SEPARATE_BUDGET] float default 0,
        [SUMM_APPR_BUDGET] float default 0,
        [DIST_APPR_BUDGET_OU] float default 0,
        [SEP_DIST_APPR] float default 0,
        [ACTIVE_USER] varchar(20),
        [PLANNED_COSTS] float default 0,
        [ACTUAL_COSTS] float default 0,
        [REMAINING_COSTS] float default 0,
        [COSTS_TOTAL] float default 0,
        [DEV_T_P_EFF] float default 0,
        [DEV_T_P_EFF_PERCENT] float default 0,
        [PROJECT_NAME] varchar(80),
        [PR_NAME_2] varchar(80),
        [PR_GROUP_1] varchar(50),
        [PR_GROUP_2] varchar(50),
        [PR_GROUP_3] varchar(50),
        [SHORT_PROJECT_NAME] varchar(18),
        [PR_OLE] varchar(30),
        [RELEASE_PROJECT_ID] varchar(18),
        [PR_SYM_OLE] varchar(8),
        [PR_SYMBOL] varchar(8),
        [ADDRESS] varchar(18),
        [PR_DOC_DIRECTORY] varchar(40),
        [PR_LOCKED] numeric(5,0) default 0,
        [EFFORT_P1] float default 0,
        [EFFORT_P2] float default 0,
        [EFFORT_P3] float default 0,
        [EFFORT_P4] float default 0,
        [EFFORT_LAST_PLAN] float default 0,
        [COSTS_PLAN1] float default 0,
        [COSTS_PLAN2] float default 0,
        [COSTS_PLAN3] float default 0,
        [COSTS_PLAN4] float default 0,
        [COSTS_LAST_PL] float default 0,
        [FIXED_DATE_P1] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [FIXED_DATE_P2] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [FIXED_DATE_P3] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [FIXED_DATE_P4] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [FIXED_DATE_LAST_PLAN] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [FIX_RES_1] varchar(20),
        [FIX_RES_2] varchar(20),
        [FIX_RES_3] varchar(20),
        [FIX_RES_4] varchar(20),
        [FIX_RES_LAST] varchar(20),
        [PLANNING_TYPE] numeric(5,0) default 0,
        [PM_ESTIMATE] varchar(2),
        [ESTIMATE_DATE] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [TECH_HRS_461] numeric(5,0) default 0,
        [TECH_SUMMARY_DATE] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [SENT] numeric(5,0) default 0,
        [OU_COST_CENTER] varchar(8),
        [SAVING_1ST_YEAR] float default 0,
        [SAVING_2ND_YEAR] float default 0,
        [SAVING_3RD_YEAR] float default 0,
        [SAVING_4TH_YEAR] float default 0,
        [SAVING_5TH_YEAR] float default 0,
        [CURRENT_PR_PHASE] varchar(30),
        [PR_SIZE] varchar(30),
        [OBJECTIVES_ACHIEVED] numeric(5,0) default 0,
        [CLASS] varchar(2),
        [RISK] varchar(2),
        [STRATEGY_CONTRB] varchar(2),
        [BENEFIT] varchar(2),
        [DEV_SD4_MASTER_MS] numeric(10,0) default 0,
        [DEV_ED4_MASTER_MS] numeric(10,0) default 0,
        [RANK] numeric(10,0) default 0,
        [SEQUENCE] numeric(10,0) default 0,
        [SOFT_PR_ESD] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [SOFT_PR_EED] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [SOFT_PR_LSD] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [SOFT_PR_LED] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [POSTING_TYPE] numeric(5,0) default 0,
        [PR_CODE_SAVE] varchar(2),
        [PR_IN_SIMULATION] numeric(5,0) default 0,
        [PR_LOCKED_SAVE] numeric(5,0) default 0,
        [OBJECT_CONTRIBUTION] numeric(10,0) default 0,
        [RISK_VALUE_IN] numeric(10,0) default 0,
        [OBJECT_CONTRIB_IN] numeric(10,0) default 0,
        [TARGETS] varchar(max),
        [SCOPE_AND_LIMIT] varchar(max),
        [CONSEQ_NON_REALIZ] varchar(max),
        [AREAS_INVOLVED] varchar(max),
        [MANDATORY_PROJECT] numeric(5,0) default 0,
        [MANDATORY_PR_REASON] varchar(max),
        [ROI] float default 0,
        [DESCRIPTION] varchar(max),
        [INTERNAL_INTEREST] float default 0,
        [QUALITATIVE_BENEFIT] varchar(max),
        [PR_TYPE] numeric(5,0) default 0,
        [DELETE_PROD_PR] numeric(5,0) default 0,
        [OVERWRITE_ARCHIVE] numeric(5,0) default 0,
        [PR_IN_ARCHIVE] numeric(5,0) default 0,
        [INVOICING_COMMENT] varchar(max),
        [BGT_CHECKED_BY] varchar(20),
        [BGT_CHECKED_ON] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [BGT_CHECKED_AT] numeric(10,0) default 0,
        [REFERENCE_VALUE_1] varchar(8),
        [REFERENCE_VALUE_1_PERCENT] varchar(8),
        [REFERENCE_VALUE_2] varchar(8),
        [REFERENCE_VALUE_2_PERCENT] varchar(8),
        [DISPLAY_BY_PM] numeric(5,0) default 0,
        [SUMM_PROB_DEMAGE] float default 0,
        [SUMM_LOSS] float default 0,
        [PLANN_COSTS_OUTSIDE] float default 0,
        [ACTUAL_COSTS_OUTSIDE] float default 0,
        [REM_COSTS_OUTSIDE] float default 0,
        [TOTAL_COSTS_OUTSIDE] float default 0,
        [PL_REVENUES] float default 0,
        [ACT_REVENUES] float default 0,
        [REM_REVENUES] float default 0,
        [REVENUES_TOTAL] float default 0,
        [DATE_ESTIM_DATE] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [DATES_ESTIMATE] varchar(2),
        [COSTS_ESTIMATE] varchar(2),
        [EFFORT_ESTIMATE] varchar(2),
        [MILESTONES_ESTIMATE] varchar(2),
        [QUALITY_ESTIMATE] varchar(2),
        [COSTS_ESTIMATE_DATE] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [EFFORT_ESTIMATE_DATE] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [MS_ESTIMATE_DATE] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [QUALITY_ESTIM_DATE] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [COMMENT_TOTAL] varchar(max),
        [COMMENT_DATES] varchar(max),
        [COMMENT_COSTS] varchar(max),
        [COMMENT_EFFORT] varchar(max),
        [COMMENT_MS] varchar(max),
        [COMMENT_RISK] varchar(max),
        [SUMM_PROB_SUCCESS] float default 0,
        [SUMM_SUCCESS] float default 0,
        [AUTOM_STATUS_REPORT] numeric(5,0) default 0,
        [HDI_823_LAST_SR] varchar(10),
        [FUTURE_IMPROVE] varchar(max),
        [FUTURE_RETAIN] varchar(max),
        [LAST_AUTOM_SR] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [AREA] varchar(8),
        [BREAK_EVEN] float default 0,
        [PROB_GROSS_PROFIT] float default 0,
        [CURRENT_BASELINE] varchar(10),
        [CURRENT_REPORT] varchar(10),
        [UPDATED_BY] varchar(20),
        [UPDATED_AT] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [ACT_POSSIBLE_DAMAGE] float default 0,
        [SR_POSS_DAMAGE] float default 0,
        [SR_PROB_DAMAGE] float default 0,
        [ACT_POSSIBLE_OPPORTUNITY] float default 0,
        [SR_POSS_OPPORTUNITY] float default 0,
        [SR_PROB_OPPORTUNITY] float default 0,
        [SR_OPPORT_OCCURED] float default 0,
        [SR_DAMAGE_INCURRED] float default 0,
        [PSC] varchar(80),
        [INITIATOR] varchar(20),
        [IDEA_HANDED_OVER] numeric(5,0) default 0,
        [COMMENTED_ON] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [PM_MODEL] varchar(8),
        [PC_OBJECTIVE] float default 0,
        [PC_ACTUAL] float default 0,
        [PC_DATE] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [PC_COMMENT] varchar(max),
        [PR_FUNCTIONAL] varchar(18),
        [MAIN_PR_FUNCTIONAL] varchar(18),
        [PERSON_INT_PAY_OBL] float default 0,
        [PERSON_EXT_PAY_OBL] float default 0,
        [MAT_COSTS_PAY_OBL] float default 0,
        [INVESTM_PAY_OBLIG] float default 0,
        [MISCEL_PAY_OBLIG] float default 0,
        [REPORT_PLS_REPORT_ID] varchar(10),
        [ACTIVE_PROCESS_PHASE] varchar(8),
        [COMPLETED_TIME] numeric(10,0) default 0,
        [OPEN_DATE] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [OPEN_TIME] numeric(10,0) default 0,
        [OPEN_FROM] varchar(20),
        [COMPLETED_FROM] varchar(20),
        [COMPLETED_DATE] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [PARENT_PREQ_ID] varchar(18),
        [EXTERNAL_NUMBER] varchar(20),
        [REF_NUMBER] varchar(20),
        [DEFAULT_NUMBER] varchar(18),
        [TDI_BIT_FIELD_FOR_LOCK_OPTIONS] numeric(5,0) default 0,
        [MAIN_MILESTONE_ID] varchar(18),
        [SCHEDULE_WITH_GATES] numeric(5,0) default 0,
        [RISK_ESTIMATE] varchar(2),
        [RISK_ESTIM_DATE] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [COMMENT_QUALITY] varchar(max),
        [STANDARD_OLE] varchar(8),
        [ESTIM_REVENUEBENEFIT] varchar(2),
        [ESTIM_DATE_REVENUEBENEFIT] datetime2 default CONVERT(datetime2,'01.01.1970',104),
        [COMMENT_REVENUEBENEFIT] varchar(max),
        [PR_POS] numeric(10,0) default 0,
        [COMMENT_MEASURE] varchar(max),
        [COMMENT_DESCISION] varchar(max)
    );

    alter table PROJECT_POOL 
        add constraint PIDPROJECT_POOL primary key ([UUID]);

    alter table PROJECT_POOL 
        add constraint DT567UUID_NOT_NULL check([UUID] is not null);

    alter table PROJECT_POOL 
        add constraint DT567CONFIG_ID_NOT_NULL check([CONFIG_ID] is not null);

    alter table PROJECT_POOL 
        add constraint FKPROJECT_POOLID560 
        foreign key ([CONFIG_ID]) 
        references INTERFACE_CONFIG        
        on delete no action;
        
    CREATE TRIGGER UFKPROJECT_POOLID560 ON INTERFACE_CONFIG
    FOR DELETE
    AS
    BEGIN
        DELETE t
        FROM DELETED d
            INNER JOIN PROJECT_POOL t ON d.UUID = t.CONFIG_ID
    END;
